<script>
	import Button from "@/components/button.svelte"
	import SVG from "@/components/svg.svelte"

	import Banner from "@/assets/img/banner-interior.webp"

	import { isPhone, isTablet } from "@/stores/responsiveness"
	import { t } from "@/i18n"
</script>

<template lang="pug">
	.columns.is-flex.is-multiline.is-variable.is-2
		.column.is-6-desktop.is-12-tablet.is-12-mobile
			.column-container.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-space-between
				+each('new Array(3) as _, i')
					p {$t(`price.content.${i}`)}
		.column.is-6-desktop.is-12-tablet.is-12-mobile
			.column-container.with-image.is-flex.is-flex-direction-column.is-align-items-flex-end.is-justify-content-flex-start
				.img.bg.is-flex.is-align-items-center.is-justify-content-center: img.lazy( data-src='{Banner}' )
				.icon.logo.is-flex: SVG( name="logo" )
				p.name {$t("default.nav.price")}
				+if('$isPhone || $isTablet')
					Button( is="a" href="/pricelist" target="blank" )
						|{$t("buttons.download_price")}
						span.icon( slot="icon-right" ): SVG( folder="icons" name="download" )
				+if('!$isPhone && !$isTablet')
					Button( on:click!='{() => window.print()}' )
						|{$t("buttons.download_price")}
						span.icon( slot="icon-right" ): SVG( folder="icons" name="download" )
</template>

<style lang="scss">
	.columns {
		margin-bottom: 4rem;
	}
	.column {
		&:first-of-type {
			p {
				font-size: 1.125rem;
				font-weight: 300;
				&+p {
					margin-top: 1rem;
				}
			}
		}
		&-container {
			height: 100%;
			&.with-image {
				padding: 1.5rem;
				position: relative;
				overflow: hidden;
				.bg {
					width: 100%;
					height: 100%;
					margin: auto;
					position: absolute;
					top: 0;
					right: 0;
					bottom: 0;
					left: 0;
					z-index: -1;
					@include max_tablet {
						img {
							max-width: unset;
							height: 100%;
						}
					}
				}
				.logo {
					width: 8.75rem;
					margin-bottom: 1.125rem;
					:global(svg) {
						height: 2.83rem;
					}
					:global(svg path) {
						fill: $white;
					}
				}
				.name {
					font-weight: 500;
					line-height: .75rem;
					text-transform: uppercase;
					color: $white;
					margin-bottom: 2.1875rem;
				}
			}
		}
	}
</style>